.features {
    color: $white;
    padding: rem(22) 0;
    background: $azure;

    &__main {
        margin-bottom: rem(30);
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 1fr;
    }

    &__item {
        position: relative;
        font-size: rem(15);
        line-height: rem(20);
        display: flex;
        align-items: flex-start;

        &--icon {
            font-size: 0;
            line-height: 0;
            height: rem(21);
            display: inline-block;
            flex-shrink: 0;
            margin-right: rem(16);
        }
    }

    &__ruble {
        width: rem(70);
        height: rem(70);
        font-size: 0;
        line-height: 0;
        background: linear-gradient(180deg, #FFE871 0%, #F3AF7E 100%);
        box-shadow: inset 0px -4px 4px rgba(230, 114, 50, 0.25), inset 0px 4px 4px rgba(255, 255, 255, 0.79);
        border-radius: 20px;
        fill: $white;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 0 auto rem(26) auto;

        i {
            height: rem(43);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__lead {
        text-align: center;
        font-size: rem(23);
        line-height: rem(28);
        margin-bottom: rem(25);

        a {
            color: $yellow;
            white-space: nowrap;
            text-decoration: none;
        }
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(md) {
        padding: 0;
        background: transparent;

        &__body {
            padding-bottom: rem(50);
            background: $azure;
            border-radius: 30px;
        }

        &__main {
            grid-row-gap: rem(30);
            grid-column-gap: rem(40);
            padding: rem(40) rem(30);
            grid-template-columns: 1fr 1fr;
        }

        &__item {
            font-size: rem(17);
            line-height: 140%;

            &--icon {
                top: 2px;
                position: relative;
            }
        }

        &__footer {
            padding: 0 rem(30);
        }

        &__lead {
            font-size: rem(28);
            line-height: rem(34);
        }

        &__button {
            margin: 0 auto;
            width: rem(275);
        }
    }

    @include media-breakpoint-up(lg) {

    }
    @include media-breakpoint-up(xl) {

        &__body {
            overflow: hidden;
            padding-bottom: rem(45);
        }

        &__main {
            margin: 0;
            padding: rem(58) rem(40);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__footer {
            text-align: left;
            padding: 0 rem(60) 0 rem(125);
            position: relative;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__ruble {
            margin: 0;
            left: rem(-15);
            width: rem(93);
            height: rem(93);
            position: absolute;

            i {
                height: rem(58);
            }
        }

        &__lead {
            margin: 0;
            max-width: rem(674);
            text-align: left;
        }

        &__button {
            margin: 0;
        }
    }
}
